MrDwgGeometry

Fields

std::vector< HC_KEY > *

m_keys

Functions

Adesk::Boolean

circle

Adesk::Boolean

circle

Adesk::Boolean

circularArc

Adesk::Boolean

circularArc

Adesk::Boolean

ellipticalArc

Adesk::Boolean

polyline

Adesk::Boolean

polyline

Adesk::Boolean

polyPolyline

Adesk::Boolean

polygon

Adesk::Boolean

pline

Adesk::Boolean

mesh

Adesk::Boolean

ray

Adesk::Boolean

shell

Adesk::Boolean

text

Adesk::Boolean

text

Adesk::Boolean

xline

void

addKeyToVector

void

addKeysToVector

Detailed Description

class MrDwgGeometry

Subclassed by MrDwgViewportGeometry, MrDwgWorldGeometry

Public Functions

Adesk::Boolean circle(AcGePoint3d const &center, double const radius, AcGeVector3d const &normal) const
Adesk::Boolean circle(AcGePoint3d const &pt1, AcGePoint3d const &pt2, AcGePoint3d const &pt3) const
Adesk::Boolean circularArc(AcGePoint3d const &center, double const radius, AcGeVector3d const &normal, AcGeVector3d const &startVector, double const sweepAngle, const AcGiArcType arcType) const
Adesk::Boolean circularArc(AcGePoint3d const &start, AcGePoint3d const &point, AcGePoint3d const &end, const AcGiArcType arcType) const
Adesk::Boolean ellipticalArc(AcGePoint3d const &center, AcGeVector3d const &majorAxis, AcGeVector3d const &minorAxis, double majorAxisLength, double minorAxisLength, double startDegreeInRads, double endDegreeInRads) const
Adesk::Boolean polyline(const Adesk::UInt32 nbPoints, AcGePoint3d const *pVertexList, AcGeVector3d const *pNormal, Adesk::LongPtr lBaseSubEntMarker, bool useSimpleMarkers = false) const
Adesk::Boolean polyline(AcGiPolyline const &polylineObj) const
Adesk::Boolean polyPolyline(Adesk::UInt32 nbPolylines, AcGiPolyline const *pPolylines) const
Adesk::Boolean polygon(const Adesk::UInt32 nbPoints, AcGePoint3d const *pVertexList) const
Adesk::Boolean pline(AcDbPolyline const &lwBuf, Adesk::UInt32 fromIndex, Adesk::UInt32 numSegs) const
Adesk::Boolean mesh(const Adesk::UInt32 rows, const Adesk::UInt32 columns, AcGePoint3d const *pVertexList, AcGiEdgeData const *pEdgeData, AcGiFaceData const *pFaceData, AcGiVertexData const *pVertexData, bool const bAutoGenerateNormals) const
Adesk::Boolean ray(AcGePoint3d const &origin, AcGePoint3d const &other_point) const
Adesk::Boolean shell(const Adesk::UInt32 nbVertex, AcGePoint3d const *pVertexList, const Adesk::UInt32 faceListSize, Adesk::Int32 const *pFaceList, AcGiEdgeData const *pEdgeData, AcGiFaceData const *pFaceData, AcGiVertexData const *pVertexData, const struct resbuf *pResBuf, bool const bAutoGenerateNormals) const
Adesk::Boolean text(AcGePoint3d const &position, AcGeVector3d const &normal, AcGeVector3d const &direction, double const height, double const width, double const oblique, const ACHAR *pMsg, AcDbEntity *pEnt = 0) const
Adesk::Boolean text(AcGePoint3d const &position, AcGeVector3d const &normal, AcGeVector3d const &direction, const ACHAR *pMsg, const Adesk::Int32 length, const Adesk::Boolean raw, AcGiTextStyle const &pTextStyle, std::map<std::wstring, std::string> *fontmap, mTextData *mtext, AcDbEntity *pEnt = 0, HC_KEY entityInsertionSegment = -1) const
Adesk::Boolean xline(AcGePoint3d const &one_xline_point, AcGePoint3d const &a_different_xline_point) const
void addKeyToVector(HC_KEY keyToAdd) const
void addKeysToVector(HC_KEY *keysToAdd, int numberOfKeys) const

Public Members

std::vector<HC_KEY> *m_keys